All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ColorPanel

    com.sas.visuals.ColorPanel

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class ColorPanel

implements java.awt.event.AdjustmentListener, java.beans.PropertyChangeListener, java.awt.event.ActionListener, java.awt.event.FocusListener

The ColorPanel is a panel to be displayed in an instance of ColorDialog or ColorCustomizer. It provides the interface which allows the user to create a com.sas.awt.Color object.

See Also:
  Serialized Form

Field Summary
`BasicColorsPanel` | `bcp`
`protected Label` | `bLabel`
`protected TextField` | `blueField`
`protected SpinButton` | `blueSpin`
`protected ComboBox` | `cBox`
`CustomColorsPanel` | `ccp`
`protected Component` | `colorDisplay`
`protected Label` | `gLabel`
`protected TextField` | `greenField`
`protected SpinButton` | `greenSpin`
`protected TextField` | `hiddenField`
`protected TextField` | `hiddenField2`
`protected TextField` | `hueField`
`protected SpinButton` | `hueSpin`
`protected CheckBox` | `inheritedBox`
`protected Button` | `inheritedButton`
`protected TextField` | `lumField`
`protected SpinButton` | `lumSpin`
`protected Panel` | `p`
`static java.lang.String` | `RB_KEY`
`protected TextField` | `redField`
`protected SpinButton` | `redSpin`
`protected Label` | `rLabel`
`protected TextField` | `satField`
`protected SpinButton` | `satSpin`

Constructor Summary
`ColorPanel()`
`ColorPanel(boolean showCustom)`
`ColorPanel(boolean showCustom, boolean showInherit)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addCustomColor()` Create a new Custom Color (called from ColorDialog)
`void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent e)` Invoked when an adjustment property has been changed.
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)` Process textField changes when focus is lost
`java.awt.Color` | `getCurrentColor()` Returns the current color
`void` | `initialize()` Perform initialization
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Invoked when a property has changed.
`void` | `setCurrentColor(java.awt.Color cl)`
`void` | `setCurrentColor(Color cl)`

Methods inherited from class com.sas.awt.Panel
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, remove, remove, removeAll, setDefaultHeight, setDefaultValues, setDefaultWidth`

Methods inherited from class com.sas.awt.PanelContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.PanelVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### p

    protected Panel p

### cBox

    protected ComboBox cBox

### inheritedBox

    protected CheckBox inheritedBox

### inheritedButton

    protected Button inheritedButton

### colorDisplay

    protected Component colorDisplay

### rLabel

    protected Label rLabel

### bLabel

    protected Label bLabel

### gLabel

    protected Label gLabel

### hiddenField

    protected TextField hiddenField

### redField

    protected TextField redField

### blueField

    protected TextField blueField

### greenField

    protected TextField greenField

### hueField

    protected TextField hueField

### satField

    protected TextField satField

### lumField

    protected TextField lumField

### hiddenField2

    protected TextField hiddenField2

### redSpin

    protected SpinButton redSpin

### hueSpin

    protected SpinButton hueSpin

### greenSpin

    protected SpinButton greenSpin

### satSpin

    protected SpinButton satSpin

### blueSpin

    protected SpinButton blueSpin

### lumSpin

    protected SpinButton lumSpin

### bcp

    public BasicColorsPanel bcp

### ccp

    public CustomColorsPanel ccp

Constructor Detail

### ColorPanel

    public ColorPanel()

### ColorPanel

    public ColorPanel(boolean showCustom)

### ColorPanel

    public ColorPanel(boolean showCustom,
                      boolean showInherit)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addCustomColor

    public void addCustomColor()

  Create a new Custom Color (called from ColorDialog)

### adjustmentValueChanged

    public void adjustmentValueChanged(java.awt.event.AdjustmentEvent e)

  Invoked when an adjustment property has been changed.

  Specified by:
    `adjustmentValueChanged` in interface `java.awt.event.AdjustmentListener`
  Parameters:
    `e` - AdjustmentEvent

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Process textField changes when focus is lost

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### getCurrentColor

    public java.awt.Color getCurrentColor()

  Returns the current color

### initialize

    public void initialize()

  Perform initialization

  Specified by:
    `initialize` in interface `com.sas.ComponentInterface`
  Overrides:
    `initialize` in class `PanelVisualComponent`
  See Also:
    `ComponentInterface.initialize()`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Invoked when a property has changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `PanelVisualComponent`
  Parameters:
    `e` - PropertyChangeEvent
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

### setCurrentColor

    public void setCurrentColor(java.awt.Color cl)

### setCurrentColor

    public void setCurrentColor(Color cl)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.